@charset "utf-8";

.image {
	position: relative;
	width: 40%;
	transition: all 0.3s cubic-bezier(.25,.8,.25,1);
}

.image:hover {
	-webkit-box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
	box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
	width: 100%;
}

/* Content styling */
.date {
	margin-top: 1rem;
	font-size: 1.15rem;
	color: darkgray;
	text-transform: uppercase;
	font-weight: 600;
}

.light .date {
	margin-top: 1rem;
	font-size: 1.15rem;
	color: #242424;
	text-transform: uppercase;
	font-weight: 600;
}

p {
	margin-top: 0;
}

h1 {
	margin-top: 0;
	margin-bottom: 1.5rem;
	font-weight: normal;
	text-align: left;
	color:  hsl(24, 100%, 50%);
}

h2 {
	margin-top: 2.5rem;
	margin-bottom: 0.5rem;
	font-weight: normal;
	text-align: left;
	color: hsl(209, 100%, 50%);
}

h3 {
	margin-top: 1.5rem;
	margin-bottom: 0.25rem;
	font-weight: lighter;
	color: hsl(120, 100%, 30%);
}

code {
	font-size: 85%;
	font-family: 'Lucida Console', 'Courier New', Courier, monospace;
	padding-left: 0.25rem;
	padding-right: 0.25rem;
	padding-top: 0.25rem;
	padding-bottom: 0.15rem;
	border-radius: 0.25rem;
}

h2 code {
	font-size: 1.3rem;
}

h3 code {
	font-size: 1.15rem;
}

pre {
	display: inline-block;
	margin: auto;
	margin-bottom: 1rem;
	max-width: 100%;
	text-align: left;
	overflow-x: auto;
	white-space: pre-wrap;
	white-space: -moz-pre-wrap;
	white-space: -pre-wrap;
	white-space: -o-pre-wrap;
	word-wrap: break-word;
}

.wip {
	margin: 1rem;
	padding: 1rem;
	border-radius: 1rem;
	text-align: center;
	font-size: 1.15rem;
	box-shadow: 0 10px 20px rgba(0,0,0,0.19), 0 6px 6px rgba(0,0,0,0.23);
	margin-bottom: 2rem;
}

#section-anchor-link {
	text-decoration: none;
	color: #00000044;
}

a.section-anchor-view {
	display: block;
    position: relative;
    top: -5em;
    visibility: hidden;
}
